@use './styles/bar-chart.variations' as variations;
@use './styles/bar-chart.variables' as *;

:host {
	$base: '.digi-bar-chart';

	.digi-bar-chart {
		font-family: var(--digi--global--typography--font-family--default);
	}

	.chartTitle {
		--digi--typography--h2--margin: 0.5rem;
		--digi--typography--h3--margin: 0.5rem;
		--digi--typography--h4--margin: 0.5rem;
		--digi--typography--h5--margin: 0.5rem;
		--digi--typography--h6--margin: 0.5rem;
		display: flex;
		justify-content: flex-start;
		flex-direction: column;
		align-items: left;
		text-align: left;
		padding-bottom: 0.75rem;
		margin-right: 0.5rem;
		flex-grow: 2;
	}

	.buttonWrapper {
		--digi--button--padding--medium: 4px 4px 0.8125rem 0
	}

	.chartTooltip {
		box-sizing: border-box;
		position: absolute;
		background-color: rgba(250, 250, 250, 0.98);
		color: black;
		padding: 5px 10px;
		padding-right: 5px;
		border-radius: 4px;
		display: flex;
		flex-direction: row;
		align-items: flex-start;
		box-shadow: rgba(60, 64, 67, 0.4) 0px 1px 2px 0px, rgba(60, 64, 67, 0.2) 0px 2px 6px 2px;
		font-size: 0.875rem;
		display: none;
	}

	.close {
		--digi--icon--color: black;
		cursor: pointer;
		margin-top: -5px;
	}

	.legend::-webkit-scrollbar,
	.table::-webkit-scrollbar {
		height: 10px;
		width: 10px;
	}

	.legend::-webkit-scrollbar-track,
	.table::-webkit-scrollbar-track {
		background: whitesmoke;
		border-radius: 4px;
	}

	.legend::-webkit-scrollbar-thumb,
	.table::-webkit-scrollbar-thumb {
		background-color: lightgray;
		border-radius: 4px;
		border: 0;
	}

	.scChartStatus {
		border: 0;
		clip: rect(1px, 1px, 1px, 1px);
		clip-path: inset(50%);
		height: 1px;
		margin: -1px;
		overflow: hidden;
		padding: 0;
		position: absolute;
		width: 1px;
		white-space: nowrap;
	}


	.table {
		display: none;
		overflow-y: scroll;
		height: fit-content;
		border-radius: 4px;
		padding: 0.25rem;

		background:
			/* Shadow Cover TOP */
			linear-gradient(white 30%,
				rgba(255, 255, 255, 0)) center top,

			/* Shadow Cover BOTTOM */
			linear-gradient(rgba(255, 255, 255, 0),
				white 70%) center bottom,

			/* Shadow TOP */
			radial-gradient(farthest-side at 50% 0,
				rgba(0, 0, 0, 0.2),
				rgba(0, 0, 0, 0)) center top,

			/* Shadow BOTTOM */
			radial-gradient(farthest-side at 50% 100%,
				rgba(0, 0, 0, 0.2),
				rgba(0, 0, 0, 0)) center bottom;

		background-repeat: no-repeat;
		background-size: 100% 40px, 100% 40px, 100% 14px, 100% 14px;
		background-attachment: local, local, scroll, scroll;
	}

	.topWrapper {
		display: flex;
		flex-direction: row;
		align-items: flex-end;
		justify-content: space-between;
		flex-wrap: wrap;
	}

}